textures/abyss/lava1
	{
		qer_editorimage textures/abyss/lava1.tga
		q3map_lightimage textures/abyss/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/abyss/lava1.tga
			rgbGen const ( 0.5 0.5 0.5 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/abyss/lava1c.tga
			rgbGen const ( 0.75 0.75 0.75 )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/abyss/lava2
	{
		qer_editorimage textures/abyss/lava1.tga
		qer_trans .5
		q3map_lightimage textures/abyss/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		surfaceparm nonsolid
		
		q3map_surfacelight 250
		cull disable
		{
			map textures/abyss/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/abyss/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/abyss/mist_s
{
	entityMergable
	cull none
	{
		map textures/abyss/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/abyss/protograte1_trans
{
	qer_editorimage textures/uncreation/protograte1.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/abyss/ladder
{
	qer_editorimage textures/common/ladder.tga
	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/abyss/glass_03_s
{
	qer_editorimage textures/abyss/dirtyglass.tga
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/abyss/dirtyglass.tga
		blendfunc filter
		rgbGen const ( 0.50 0.50 0.50 )
	}
	{
		map textures/abyss/dirtyglass.tga
		blendfunc add
		rgbGen const ( 0.4 0.4 0.4 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
